.table.tablePopular {
  .th, .td {
    &._createdAd {
      grid-area: createdAd;
    }

    &._sellerCity {
      grid-area: sellerCity;
    }

    &._brand {
      grid-area: brand;
    }

    &._vendorCode {
      grid-area: vendorCode;
    }

    &._partName {
      grid-area: partName;
    }

    &._img {
      grid-area: img;
    }

    &._price {
      grid-area: price;
    }

    &._sellerCounterAll {
      grid-area: sellerCounterAll;
      text-align: center;
    }
    &._sellerCounterLocal {
      grid-area: sellerCounterLocal;
      text-align: center;
    }
  }

  &._no-city {
    .th, .td {
      &._sellerCity,
      &._sellerCounterLocal {
        display: none;
      }
    }
  }

  .buttonSellerCounter {
    width: 100%;
    white-space: nowrap;
  }

  .picture {
    padding-top: 5.375rem;
    background-color: var(--bg-lightest);

    .svg {
      width: 2.5rem;
      height: auto;
      fill: var(--fill-light);
    }
  }

  .valueIsMobile {
    display: none;
  }

  .noResult {
    font-weight: var(--font-weight-medium);
  }

  @media screen and (min-width: 981px) {
    &._no-city {
      .tr {
        grid-template-columns:
          6rem 8rem 0.6fr 1fr 0.8fr 0.8fr 12rem;
        grid-template-areas: "img brand vendorCode partName createdAd price sellerCounterAll";
      }
    }

    .tr {
      grid-template-columns:
        6rem 8rem 0.6fr 1fr 0.8fr 0.8fr 12rem 12rem;
      grid-template-areas: "img brand vendorCode partName createdAd price sellerCounterLocal sellerCounterAll";
    }

    .td {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }

    .td._brand {
      font-weight: var(--font-weight-medium);
      .valueIsMobile {
        display: none;
      }
    }

    .td._price {
      font-size: 1rem;
      font-weight: var(--font-weight-bold);
      text-align: right;
    }

    .td._img {
      padding: 0;
      border-right: 1px solid var(--border-color-main);
    }

    .td-requests,
    .td-analogs {
      display: none;
    }

    .__hide-shadow {
      margin-right: -2rem;
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    &._no-city {
      .tr {
        grid-template-columns: 6.5rem 10rem 1fr 0.35fr 0.7fr 12rem;
        grid-template-areas:
          "img brand partName createdAd price sellerCounterAll"
          "img vendorCode partName createdAd price sellerCounterAll";
        grid-auto-rows: auto 1fr;
      }
    }

    .tr {
      grid-template-columns: 6.5rem 1fr 0.45fr 0.7fr 12rem 12rem;
      grid-template-areas:
        "img brand createdAd price sellerCounterLocal sellerCounterAll"
        "img vendorCode createdAd price sellerCounterLocal sellerCounterAll"
        "img partName createdAd price sellerCounterLocal sellerCounterAll";
      grid-auto-rows: auto auto 1fr;
      .th {
        min-height: auto;
      }
    }

    &:not(._no-city) {
      .th._partName, .td._partName {
        padding-top: 0;
        border-top: none;
      }
      .th._vendorCode, .td._vendorCode {
        padding-bottom: 0;
      }
    }

    .th._brand, .td._brand {
      padding-bottom: 0;
    }
    .th._vendorCode, .td._vendorCode {
      padding-top: 0;
      border-top: none;
    }

    .td {
      justify-content: flex-start;
    }
    .td._price {
      font-size: 1.125rem;
    }
    .__hide-shadow {
      margin-right: -1rem;
    }
  }

  @media screen and (max-width: 980px) {
    &._no-city {
      .tr {
        grid-template-columns: 1fr 6.5rem;
        grid-template-areas:
          "createdAd createdAd" "brand img" "partName img" "price img" "sellerCounterAll sellerCounterAll";
      }
    }

    &:not(._no-city) {
      .td._sellerCounterAll {
        margin-top: 1.25rem;
        text-align: left;
        .buttonSellerCounter {
          display: inline-block;
          padding: 0;
          width: auto;
          height: auto;
          min-height: auto;
          font-size: 1rem;
          color: var(--link-color);
          background-color: transparent;
          border: none;
          box-shadow: none;
        }
        .valueIsMobile {
          display: inline-block;
          padding-right: .25rem;
          font-size: 1rem;
          font-weight: var(--font-weight-medium);
        }
      }
    }

    .tr {
      grid-template-columns: 1fr 6.5rem;
      grid-template-areas:
        "createdAd createdAd" "brand img" "partName img" "price img"
        "sellerCounterLocal sellerCounterLocal" "sellerCounterAll sellerCounterAll";

      .td._createdAd {
        padding-bottom: 0.5rem;

        .td-updated,
        .td-requests {
          display: inline-block;
          padding-right: 0.75rem;
          padding-bottom: 0.125rem;
          font-size: 0.875rem;
          white-space: nowrap;
        }

        .valueIsMobile {
          display: inline-block;
        }
      }

      .td._brand {
        display: flex;
        flex-direction: column;
        max-width: 100%;
        padding-bottom: 0.25rem;
        font-size: 1.125rem;
        font-weight: var(--font-weight-bold);
        span {
          white-space: normal;
        }
        .valueIsMobile {
          display: inline-block;
        }
      }

      .td._vendorCode {
        display: none;
      }

      .td._partName {
        padding-bottom: 0.625rem;
        font-size: 1rem;
      }

      .td._price {
        padding-bottom: 1.25rem;
        font-size: 1.5rem;
        font-weight: var(--font-weight-bold);
      }

      .td._img {
        padding-left: 1rem;
      }

      .td-analogs {
        display: block;
        padding-top: 0.75rem;
        font-size: 0.875rem;
        color: var(--color-main-lightest);
      }

      .buttonOutlineColor {
        background-color: var(--btn-bg);
        border: none;
        box-shadow: none;
      }

      &._has-image {
        grid-template-columns: 60% auto 6.625rem;
        grid-template-areas: "createdAd sellerCity sellerCity" "brand brand img" "partName partName img" "price price price" "sellerCounterAll sellerCounterAll sellerCounterAll";

        .th._img, .td._img {
          display: block;
        }
      }
    }

    .picture {
      padding-top: 5.625rem;

      > .svg {
        width: 2.5rem;
      }
    }
    .__hide-shadow:after {
      content: none;
    }
  }
}
